import { NodePath, Node } from 'babel-traverse';
import { ExportDefaultDeclaration, ExportDefaultSpecifier } from 'babel-types';
export interface NEJDefine {
    source: string;
    name?: string;
}
export interface Options {
    extName?: string;
    alias?: {
        [key: string]: string;
    };
}
export interface NEJModules {
    nejDefines: NEJDefine[];
    fnBody: Node[];
    exportDeclaration: ExportDefaultSpecifier | ExportDefaultDeclaration;
}
export default function (path: NodePath, opts?: Options): NEJModules;
