"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TEXT_DEPS = /^text!|^regular!|^json!|\.html$|\.css$|\.json$/i;
/**
 * 转义特殊字符
 * @param str
 */
exports.escape = function (str) {
    var excape = /(\/|{|}|\.)/g;
    return str.replace(excape, '\\' + '$1');
};
/**
 * 根据 alias 生成对应的正则表达式
 * @param alias
 */
exports.genAliasRe = function (alias) {
    var reStr = [];
    for (var key in alias) {
        reStr.push("^" + exports.escape(key));
    }
    return new RegExp(reStr.join('|'));
};
//# sourceMappingURL=util.js.map